Skip to main content
GET
/
v1
/
calendars
/
economics
Python (SDK)
from datetime import date
from finance_dev import FinanceDev, models
import os


with FinanceDev(
    security=models.Security(
        client_id=os.getenv("FINANCEDEV_CLIENT_ID", ""),
        client_secret=os.getenv("FINANCEDEV_CLIENT_SECRET", ""),
    ),
) as fd_client:

    res = fd_client.calendar.get_economics_calendar(date_=date.fromisoformat("2024-01-15"))

    # Handle response
    print(res)
{
  "events": [
    {
      "calendarId": "<unknown>",
      "date": "<string>",
      "country": "<string>",
      "category": "<string>",
      "event": "<string>",
      "reference": "<string>",
      "actual": "<string>",
      "previous": "<string>",
      "forecast": "<string>",
      "importance": 123
    }
  ],
  "importantDates": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://finance.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

date
string<date>
required

Date in YYYY-MM-DD format

Example:

"2024-01-15"

Response

Economics calendar events retrieved successfully

events
object[]
importantDates
string[]